function Create(self)

self.mapwrapx = SceneMan.SceneWrapsX;

self.foundpart = nil;
self.found = false;
self.finddist = 700;

self.latchactor = nil;
self.latched = false;
self.latchdist = 25;

self.moveTimer = Timer();

self.maxHealth = 100;
self.healnegTimer = Timer();
self.healTimer = Timer();

self.Activity = ActivityMan:GetActivity();
self.Ctrl = self:GetController();

end

function Update(self)
	
		-- keep metroid on map
if self.Pos.Y < 0 then
	self.Vel.Y = self.Vel.Y + 2;
else
		
		-- Move around randomly
	local moverand = math.random(-2,2);
	if self.found == false and self.latched == false then
		if self.moveTimer:IsPastSimMS(3000) then
			self.Vel = Vector(moverand,moverand);
			self.moveTimer:Reset();
		end
	end
	
		-- Find actor
	if self.latched == false and self.latchactor == nil then
		for actor in MovableMan.Actors do
			if actor.Team ~= self.Team and actor.GetsHitByMOs == true and (actor.ClassName == "AHuman" or actor.ClassName == "ACrab") then
				local curdist = SceneMan:ShortestDistance(self.Pos,actor.Pos,self.mapwrapx).Magnitude;
				self.actx = actor.Pos.X - self.Pos.X;
				self.acty = actor.Pos.Y - self.Pos.Y;
				self.rota = math.atan2(self.acty,self.actx) * (180 / math.pi);
				if self.lastdist == nil or (self.lastdist ~= nil and curdist < self.lastdist) then
					self.lastdist = curdist;
				end
				if self.lastdist < self.finddist then
					local findobject = SceneMan:CastMORay(self.Pos,(Vector(1,0):SetMagnitude(self.finddist)):RadRotate(self.rota),self.ID,33,false,0);
					if findobject ~= 255 and findobject ~= self.ID then
						self.foundpart = MovableMan:GetMOFromID(findobject);
						self.found = true;
					else
						self.foundpart = nil;
						self.found = false;
					end
				end
			end
		end
	end
	
		-- Hunt Actor
		if self.found == true then
			foundactor = MovableMan:GetMOFromID(self.foundpart.RootID)
			if MovableMan:IsActor(foundactor) then
				for actor in MovableMan.Actors do
					if actor.Team ~= self.Team and actor.GetsHitByMOs == true and (actor.ClassName == "AHuman" or actor.ClassName == "ACrab") then
						if actor.ID == foundactor.ID then
							local partx = self.foundpart.Pos.X - self.Pos.X;
							local party = self.foundpart.Pos.Y - self.Pos.Y;
							local partdist = math.sqrt(partx ^ 2 + party ^ 2);
							local partdeg = math.atan2(party,partx);
							local partvelx = math.cos(partdeg);
							local partvely = math.sin(partdeg);
							if self.latched == false then
								if partdist < 300 and partdist > 20 then
									self.Vel = Vector((partvelx * 12),(partvely * 12));
								elseif partdist > 300 then
									self.Vel = Vector((partvelx * 4),(partvely * 4))
								end
							end
						end
					end
				end
			else
				self.foundpart = nil;
				self.found = false;
			end
		
			if self.lastdist < self.latchdist then
				local grabobject = SceneMan:CastMORay(self.Pos,(Vector(1,0):SetMagnitude(self.latchdist)):RadRotate(self.rota),self.ID,33,true,0);
				if grabobject ~= 255 and grabobject ~= self.ID then
					self.latchactor = MovableMan:GetMOFromID(grabobject);
					self.latchpart = MovableMan:GetMOFromID(self.latchactor.RootID);
					self.latched = true;
				else
					self.latchactor = nil;
					self.latchpart = nil;
					self.latched = false;
				end
			end
		end

	if self.latched == true and self.latchpart ~= nil then
	self.latchpart:SetWhichMOToNotHit(self,0.3);
	self:SetWhichMOToNotHit(self.latchpart,0.3);
		if MovableMan:IsActor(self.latchpart) then
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team and actor.GetsHitByMOs == true and (actor.ClassName == "AHuman" or actor.ClassName == "ACrab") then
					if actor.ID == self.latchpart.ID then
						self.Pos = self.latchactor.Pos;
						self.Vel = self.latchactor.Vel;
						self.RotAngle = self.latchactor.RotAngle;
						self.AngularVel = self.latchactor.AngularVel;

						if self.latchactor.HFlipped == true then
							self.HFlipped = true;
						elseif self.latchactor.HFlipped == false then
							self.HFlipped = false;
						end

		-- Suck life from Actor
						if self.healTimer:IsPastSimMS(75) then
							if actor.Health <= 1 then
								actor:GibThis();
							end
							if self.Health >= 200 then
								actor.Health = actor.Health -1
								self.healTimer:Reset();
							else
								self.Health = self.Health + 1;
								actor.Health = actor.Health -1
								self.healTimer:Reset();
							end
						end
					end
				end
			end
		else
			self.latchactor = nil;
			self.latched = false;
		end
	end
end
		-- Normalise Health
	if self.Health > self.maxHealth and self.healnegTimer:IsPastSimMS(500) then
		self.Health = self.Health -1;
		self.healnegTimer:Reset();
	end
	
	-- Switch to Contollable player
	
	if self:IsPlayerControlled() then
		local NextActor = MovableMan:GetNextTeamActor(self.Team, self);
		if NextActor.ID ~= self.ID then
			self.Activity:SwitchToActor(NextActor, self.Team, self.Team);
		end
	end
end